=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

# Common files
require 'shippo/api_client'
require 'shippo/api_error'
require 'shippo/version'
require 'shippo/configuration'

# Models
require 'shippo/models/address'
require 'shippo/models/address_request_body'
require 'shippo/models/address_validation_results'
require 'shippo/models/address_validation_results_message'
require 'shippo/models/all_user_parcel_template_response'
require 'shippo/models/base_address_struct'
require 'shippo/models/base_batch_shipment'
require 'shippo/models/base_merchant_struct'
require 'shippo/models/base_pickup'
require 'shippo/models/base_service_group'
require 'shippo/models/batch'
require 'shippo/models/batch_batch_shipments'
require 'shippo/models/batch_object_results'
require 'shippo/models/batch_shipment'
require 'shippo/models/batch_to_create'
require 'shippo/models/cod'
require 'shippo/models/canada_post_create_master_account_parameters'
require 'shippo/models/carrier_parcel_template_struct'
require 'shippo/models/carrier_register_status_response'
require 'shippo/models/connect_existing_own_fedex_account_request'
require 'shippo/models/connect_existing_own_ups_account_request'
require 'shippo/models/create_canada_post_master_account_request'
require 'shippo/models/create_customs_declaration'
require 'shippo/models/create_dhl_express_master_account_request'
require 'shippo/models/create_dpduk_master_account_request'
require 'shippo/models/create_hermes_uk_master_account_request'
require 'shippo/models/create_live_rate_request'
require 'shippo/models/create_live_rate_response'
require 'shippo/models/create_new_own_ups_account_request'
require 'shippo/models/create_ups_master_account_request'
require 'shippo/models/create_usps_master_account_request'
require 'shippo/models/customs_declaration'
require 'shippo/models/customs_item'
require 'shippo/models/default_parcel_template'
require 'shippo/models/error_message'
require 'shippo/models/extra'
require 'shippo/models/fedex_connect_existing_own_account_parameters'
require 'shippo/models/get_live_rate_response'
require 'shippo/models/instant_transaction_request_body'
require 'shippo/models/insurance'
require 'shippo/models/item'
require 'shippo/models/line_item'
require 'shippo/models/live_rate'
require 'shippo/models/live_rate_line_item'
require 'shippo/models/live_rate_parcel_template'
require 'shippo/models/location'
require 'shippo/models/manifest'
require 'shippo/models/manifest_request'
require 'shippo/models/merchant'
require 'shippo/models/order'
require 'shippo/models/order_request'
require 'shippo/models/paginated_address_response'
require 'shippo/models/paginated_customs_declarations_response'
require 'shippo/models/paginated_customs_items_response'
require 'shippo/models/paginated_manifest_response'
require 'shippo/models/paginated_merchant_response'
require 'shippo/models/paginated_order_response'
require 'shippo/models/paginated_parcel_response'
require 'shippo/models/paginated_rate_response'
require 'shippo/models/paginated_shipment_response'
require 'shippo/models/paginated_transaction_response'
require 'shippo/models/parcel'
require 'shippo/models/parcel_create_request'
require 'shippo/models/parcel_extra'
require 'shippo/models/parcel_insurance'
require 'shippo/models/parcel_request'
require 'shippo/models/parcel_template'
require 'shippo/models/pickup'
require 'shippo/models/platform_carrier_own_account_creation400_response'
require 'shippo/models/platform_carrier_own_account_creation_response'
require 'shippo/models/platform_carrier_own_account_list_response'
require 'shippo/models/platform_carrier_register_response'
require 'shippo/models/platform_carrier_registration400_response'
require 'shippo/models/rate'
require 'shippo/models/rate_message'
require 'shippo/models/refund'
require 'shippo/models/refund_request_body'
require 'shippo/models/service_group'
require 'shippo/models/service_group_response'
require 'shippo/models/service_level'
require 'shippo/models/shipment'
require 'shippo/models/shipment_insert_request_body'
require 'shippo/models/shipment_messages'
require 'shippo/models/track'
require 'shippo/models/tracking_status'
require 'shippo/models/tracking_status_location'
require 'shippo/models/tracks_request'
require 'shippo/models/transaction'
require 'shippo/models/transaction_request_body'
require 'shippo/models/ups_connect_existing_own_account_parameters'
require 'shippo/models/ups_create_master_account_parameters'
require 'shippo/models/ups_create_new_own_account_parameters'
require 'shippo/models/update_carrier_account_request'
require 'shippo/models/user_parcel_template_request_body_wrapper'
require 'shippo/models/user_parcel_template_struct'

# APIs
require 'shippo/api/addresses_api'
require 'shippo/api/batches_api'
require 'shippo/api/carrier_master_accounts_api'
require 'shippo/api/carrier_own_accounts_api'
require 'shippo/api/carrier_parcel_templates_api'
require 'shippo/api/customs_declarations_api'
require 'shippo/api/customs_items_api'
require 'shippo/api/manifests_api'
require 'shippo/api/merchants_api'
require 'shippo/api/orders_api'
require 'shippo/api/parcels_api'
require 'shippo/api/pickups_api'
require 'shippo/api/rates_api'
require 'shippo/api/rates_at_checkout_api'
require 'shippo/api/refunds_api'
require 'shippo/api/service_groups_api'
require 'shippo/api/shipments_api'
require 'shippo/api/tracking_status_api'
require 'shippo/api/transactions_api'
require 'shippo/api/user_parcel_templates_api'

module Shippo
  class << self
    # Customize default settings for the SDK using block.
    #   Shippo.configure do |config|
    #     config.username = "xxx"
    #     config.password = "xxx"
    #   end
    # If no block given, return the default Configuration object.
    def configure
      if block_given?
        yield(Configuration.default)
      else
        Configuration.default
      end
    end
  end
end
